unit BaseObject;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Result;

type
  TBaseObject = class(TPersistent)  // class for the JSON structure
private
  fcode: String;
  fmessage: String;
  fresult: TResult;
public
  constructor Create;
  destructor Destroy; override;
published  // all properties have published
  property code: String read fcode write fcode;
  property message: String read fmessage write fmessage;
  property result: TResult read fresult write fresult;
end;

implementation

constructor TBaseObject.Create;
begin
  fResult     := TResult.Create;
end;

destructor TBaseObject.Destroy;
begin
  fResult.Free;
  inherited Destroy;
end;

end.

