unit Result;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Client, Produit;

type
  TResult = class(TPersistent) // class for the property 'obj' and the TCollection
private
    fid_commande: String;
    fdate_commande: String;
    ftotal_commande: Currency;
    fclient: TClient;
    fproduits: TCollection;
    fpayment : TStrings;
  public
    constructor Create;
    destructor Destroy; override;
  published
    property id_commande : String read Fid_commande write Fid_commande;
    property date_commande: String read Fdate_commande write Fdate_commande;
    property total_commande: Currency read Ftotal_commande write Ftotal_commande;
    property client: TClient read fclient write fclient;
    property payment: TStrings read fpayment;
    property produits: TCollection read fproduits ;
  end;

implementation

constructor TResult.Create;
begin
  fclient := TClient.Create;
  fproduits := TCollection.Create(TProduit);
  fpayment := TStringList.Create;
end;

destructor TResult.Destroy;
begin
  fclient.Free;
  inherited Destroy;
end;

end.

